Download Shareware and Freeware Software for Windows, Linux, Macintosh, PDA

line Home  |  About Us  |  Link To Us  |  FAQ  |  Contact

Serving Software Downloads in 976 Categories, Downloaded 29.651.251 Times

Free Video Cutter 1.1

  Date Added: May 11, 2009  |  Visits: 22.069
5 Stars5 Stars5 Stars5 Stars5 Stars

Free Video Cutter
Full screenshot

Report Broken Link
Printer Friendly Version


Product Homepage
Download (12092 downloads)



Free Video Cutter is a free video tool to help you split and cut large video files to small files, it can work with most video formats, include MPEG, MPEG4, DivX, Xvid, AVI, WMV, Quicktime MOV, Flash video and more, released as freeware from FreeVideoCutter.com, completely free for every video fan. The output video can have a good video quality; program is simple and easy to use.

Requirements: No special requirements
Release Date: May 06, 2009
Platforms: Windows 98, Windows Me, Windows NT 3.x, Windows NT 4.x, Windows 2000, Windows XP, Windows 2003 , Windows Vista Starter
Keyword: Cutter Split Splitter Video
Version 1.1 Changes: New Release
Users rating: 8/10

License: Freeware Size: 3.14 MB
USER REVIEWS
(18 September 2014, 11:23)

Comments:

Working fine, no problem at cutting videos and save them.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(24 August 2014, 10:05)

Comments:

Works fine. It can split large videos too.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(12 April 2014, 11:26)

Comments:

It's very useful for cutting videos.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
More Reviews or Write Review


FREE VIDEO CUTTER RELATED
Video Editors  -  Free Video Cutter and Splitter Indepth 1.7.0.0
Video Cutter and Splitter is a powerfull video editing program that can cut and save a region from any video file, Split the movie file into two parts at a certain scene and save them as two movies, save any frame from the movie as an image (many...
13.85 KB  
Web Cam Tools  -  Chick Video Cutter 1.75
Free Video utility to help you to cut and split your video files. You can use it as a "video cutter", "video splitter" or "video clipper". Supports : AVI, MPEG, RM, WMV, MOV, ASF, 3GP, MP4, RMVB (Real Media Video), Animated GIF, QuickTime , DIVX,...
10.08 MB  
MP3 Tools  -  Chick Video Cutter (Free) 1.686
Free Video utility to help you to cut and split your video files. You can use it as a "video cutter", "video splitter" or "video clipper". Supports : AVI, MPEG, RM, WMV, MOV, ASF, 3GP, MP4, RMVB (Real Media Video), Animated GIF, QuickTime , DIVX,...
 
Multimedia & Graphics  -  kmsnip 0.1.0
KMSnip is a KDE frontend for mplayer and mencoder that allows the user to split large video files into smaller ones and optionally save an audio only mp3 file for each split. The interface is an intuitive GUI. Designed for concert videos.
1.4 MB  
File Managers  -  Free File Splitter 1.0
Thus, you can send the smaller parts to anyone, and they can rejoin them without having to use this software (this is especially handy for transferring large files via email). This program can also be used to split large files into smaller parts...
636 KB  
Multi-Purpose Audio Players  -  Free Sog dvd to ipod ripper 5.1
Sog DVD to iPod ripper is a powerful ripping and converting software, it converts DVD formats to iPod, iTouch 4,iPad,iPad2, fast and easy to use. The DVD rip software lets you clip and split a video into segments or merge several portions into...
5.44 MB  
Finance  -  pdfsam for Windows 2.2.1
pdfsam is an open source tool (GPL license) designed to handle pdf files. It's released in 2 versions, basic and enhanced. Requirements: pdfsam branch 1: Java Virtual Machine 1.4.2 or higher pdfsam branch 2: Java Virtual Machine 1.6 or...
13.9 MB  
Finance  -  pdfsam for Mac OS X 2.2.1
pdfsam is an open source tool (GPL license) designed to handle pdf files. It's released in 2 versions, basic and enhanced. Requirements: pdfsam branch 1: Java Virtual Machine 1.4.2 or higher pdfsam branch 2: Java Virtual Machine 1.6 or...
14.7 MB  
Video Editors  -  SC Video Cut and Split 1.3.0.0
SC Video Cut and Split is a powerfull video editing program that can cut and save a region from any video file, Split the movie file into two parts at a certain scene and save them as two movies, save any frame from the movie as an image (many...
13.17 MB  
Audio Tools  -  Weeny Free Video Cutter 1.1
Weeny Free Video Cutter is a free video cutter software to cut video file into small pieces. Weeny Free Video Cutter can cut video files from 3gp, asf, avi, flv, mp4, mpg, rm, rmvb, vob, wmv and more to 3gp, avi, flv, mp4, mpg or wmv files. With...
20.24 MB  
NEW DOWNLOADS IN MULTIMEDIA & GRAPHICS, VIDEO RECORDERS
Multimedia & Graphics  -  Pixillion Image Converter Software Free 4.06
Pixillion is a free JPEG and image file format conversion software for Windows. Pixillion Image Converter Software Free can convert files from and to JPEG and other file formats like gif, tiff, png, pdf and more. Before converting your file...
857.73 KB  
Multimedia & Graphics  -  EWD 3D 5.7.5
EWD 3D is a 3D CAD program. The software contains the major CAD functions (line, arc, polyline, spline, face, 3D solid, 3D Surface). Support boolean operation, undo/redo, drag/drop, OSNAP. And have good interactive,easy to use UI. Version EWD...
14.3 MB  
Multimedia & Graphics  -  EasyBanner Free 5.0
EasyBanner Free is free software that makes it easy and simple to create banners in GIF format. The design method is simple and you have the possibility to specify everything in the banner: background, texts, images, styles and animated effects....
2.23 MB  
Multimedia & Graphics  -  Free AVI/MPEG/WMV/MP4/FLV Video Joiner 4.4.5
Free AVI/MPEG/WMV/MP4/FLV Video Joiner, a perfect easy-to-use video joining tool, allows the users to easily and quickly join more than one video file of different formats to one file of a specified format including AVI, MP4, FLV, WMV, etc. The...
6.55 MB  
Multimedia & Graphics  -  Webcam/Screen Video Capture Free 7.5.6
Webcam/Screen Video Capture Free is able to capture video from devices like webcams, IP-cameras, streaming video and more to AVI, MP4, FLV, WMV, MKV, etc., making the quickest and clearest way to communicate reachable for all people. It can record...
4.25 MB  
Video Recorders  -  BroadCam Streaming Video Server Free 2.35
BroadCam Streaming Video Server Free for Windows allows you to host any number of pre-recorded files. Stream your videos in all popular formats. BroadCam Streaming Video Server's streams can be viewed on any device compatible with a flash browser....
1.02 MB  
Video Recorders  -  SGS HomeGuard Free VMD software 2.0.0
SGS HomeGuard Free is the professional multi-purpose video motion detection software used to capture and store snapshots from webcam of your PC. It was designed for individuals, small and mid-sized businesses uses including video monitoring of...
12.29 MB  
Video Recorders  -  All Free Video to MP3 Converter 5.2.8
Using our All Free Video to MP3 Converter, you can extract highest quality audio from almost any kind of video files and save it as MP3. It supports conversion of high precision like AVI to WMA, WMV to MP3, FLV to MP3, etc. With its well...
6.56 MB  
Video Recorders  -  SocialWebcam 14.0.0.0
Social Webcam is a handy and reliable program designed to take photos from your webcam and to enhance their appearance by applying various effects. The list of graphic filters supported by the application includes gray, sharpen, soften,...
3.41 MB  
Video Recorders  -  WinX Free WMV to AVI Converter 5.0.6
WinX Free WMV to AVI Converter is an easy-to-use and free WMV to AVI converter. Designed with user-friendly interface, all users, both professional and newbie can easy convert WMV to AVI DivX, AVI Xvid for all users. Built in with high quality...
29.78 MB